Issue1963

classification
Title: Queue.task_done() calls _threading.Condition.notify_all() but it's really .notifyAll()
Type: Severity: normal
Components: Library Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: amak, fwierzbicki, ikotler, zzzeek
Priority: Keywords:

Created on 2012-08-26.12:13:38 by ikotler, last changed 2013-02-20.00:19:28 by fwierzbicki.

Messages
msg7427 (view) Author: Itzik Kotler (ikotler) Date: 2012-08-26.12:13:37
It's a simple fix:

65c65
<                 self.all_tasks_done.notifyAll()
---
>                 self.all_tasks_done.notify_all()
msg7527 (view) Author: mike bayer (zzzeek) Date: 2012-11-19.16:27:40
the actual issue here is that notify_all() is not implemented.   Both methods are present in Python's API:

http://docs.python.org/2/library/threading.html#threading.Condition.notify_all


notify_all()
notifyAll()

    Wake up all threads waiting on this condition. This method acts like notify(), but wakes up all waiting threads instead of one. If the calling thread has not acquired the lock when this method is called, a RuntimeError is raised.
msg7714 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-02-20.00:19:28
This should be fixed now.
History
Date User Action Args
2013-02-20 00:19:28fwierzbickisetstatus: open -> closed
assignee: fwierzbicki
resolution: fixed
messages: + msg7714
versions: + Jython 2.7, - 2.7a2
2012-11-19 16:27:40zzzeeksetnosy: + zzzeek
messages: + msg7527
2012-08-28 22:23:22amaksetnosy: + amak
2012-08-26 20:33:53fwierzbickisetnosy: + fwierzbicki
2012-08-26 12:13:38ikotlercreate